---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: "nexus-{{ nexus_release_name }}-data"
  labels:
    kubernetes.io/cluster-service: "true"
spec:
  capacity:
    storage: 10Gi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  mountOptions:
    - hard
    - nfsvers=4.1
  nfs:
    path: "/var/nfs/nexus-{{ nexus_release_name }}"
    server: "{{ k8scluster_volume_ipv4 }}"